> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stan-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a refund

> Get a refund with an UUID.



## OpenAPI

````yaml get /v1/refunds/{refund_id}
openapi: 3.0.0
info:
  description: Stan Client API
  version: 1.0.0
  title: Stan API
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.stan-app.fr
security: []
externalDocs:
  description: Find out more about Stan
  url: https://doc.stan-app.fr
paths:
  /v1/refunds/{refund_id}:
    get:
      tags:
        - refund
      summary: Get a refund
      description: Get a refund with an UUID.
      operationId: getRefund
      parameters:
        - name: refund_id
          in: path
          description: UID of the refund
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Refund'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '500':
          $ref: '#/components/responses/500'
      security:
        - stan_basic_auth: []
components:
  schemas:
    Refund:
      title: A refund
      type: object
      properties:
        refund_id:
          type: string
          format: uuid
        payment_id:
          type: string
          format: string
        amount:
          type: integer
          description: Amount in cents
          format: int32
        status:
          type: string
          description: Status of the refund, a refund is a reversed payment
          enum:
            - payment_holding
            - payment_pending
            - payment_failure
            - payment_success
            - payment_cancelled
        reason:
          type: string
          description: Reason for the refund
          enum:
            - requested_by_customer
            - duplicate
            - fraudulent
        created_at:
          type: string
          format: date-time
  responses:
    '400':
      description: Bad data format
    '401':
      description: >-
        Unauthorized, please provided api client_id and client_secret as Basic
        auth
    '500':
      description: The servers encountered an alien
  securitySchemes:
    stan_basic_auth:
      type: http
      scheme: basic

````